/*
 * hattrick.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 *
 * Copyright: See COPYING file that comes with this distribution
 */

#include <vdr/plugin.h>
#include <getopt.h>
#include <vdr/interface.h>
#include "vdr/menuitems.h"

/* ---------------------------------------------------------------------------
 */
class cMenuSetupFavourites : public cOsdMenu
{
  protected:
    virtual eOSState ProcessKey(eKeys Key);

  public:
    cMenuSetupFavourites(const char *name);
};


// --- cMenuSetup -------------------------------------------------------

class cSetupHattrick : public cMenuSetupPage
{
private:
    char newusername[32];
    char newsecuritycode[32];
    void BuildOsdItems();
    char newfavourite[512];
    int newIsTimer;
    int newIsDebugmode;
protected:
    virtual void Store(void);
    virtual eOSState ProcessKey(eKeys Key);
public:
    cSetupHattrick(void);
};
